Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  object BackendReporting

  Utilities for error reporting.

  Utilities for error reporting.

  Defines some utility methods to make error reporting with Either easier.

  Definition Classes
    jvm
- CalleeInfoWarning
- CalleeNotFinal
- CannotInlineWarning
- ClassInlineInfoWarning
- ClassNotFound
- ClassNotFoundWhenBuildingInlineInfoFromSymbol
- ClassSymbolInfoFailureSI9111
- FieldNotFound
- IllegalAccessCheckFailed
- IllegalAccessInstruction
- Invalid
- MethodInlineInfoError
- MethodInlineInfoIncomplete
- MethodInlineInfoMissing
- MethodNotFound
- MethodWithHandlerCalledOnNonEmptyStack
- MissingBytecodeWarning
- NoClassBTypeInfo
- NoClassBTypeInfoClassSymbolInfoFailedSI9111
- NoClassBTypeInfoMissingBytecode
- NoInlineInfoAttribute
- OptimizerWarning
- ResultingMethodTooLarge
- RewriteClosureAccessCheckFailed
- RewriteClosureApplyToClosureBodyFailed
- RewriteClosureIllegalAccess
- RightBiasedEither
- StrictfpMismatch
- SynchronizedMethod
- UnknownInvokeDynamicInstruction
- UnknownScalaInlineInfoVersion
- emptyOptimizerWarning

c

scala.tools.nsc.backend.jvm.BackendReporting

# MethodInlineInfoIncomplete 

###

#### case class MethodInlineInfoIncomplete(declarationClass: InternalName, name: String, descriptor: String, cause: ClassInlineInfoWarning) extends CalleeInfoWarning with Product with Serializable

Source
  BackendReporting.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, CalleeInfoWarning, OptimizerWarning, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MethodInlineInfoIncomplete
2. Serializable
3. Serializable
4. Product
5. Equals
6. CalleeInfoWarning
7. OptimizerWarning
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MethodInlineInfoIncomplete(declarationClass: InternalName, name: String, descriptor: String, cause: ClassInlineInfoWarning)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MethodInlineInfoIncomplete to any2stringadd[MethodInlineInfoIncomplete] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (MethodInlineInfoIncomplete, B)
   Implicit
     This member is added by an implicit conversion from MethodInlineInfoIncomplete to ArrowAssoc[MethodInlineInfoIncomplete] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val cause: ClassInlineInfoWarning
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  val declarationClass: InternalName
   Definition Classes
     MethodInlineInfoIncomplete → CalleeInfoWarning
10.  val descriptor: String
    Definition Classes
      MethodInlineInfoIncomplete → CalleeInfoWarning
11.  def emitWarning(settings: ScalaSettings): Boolean
    Definition Classes
      CalleeInfoWarning → OptimizerWarning
12.  def ensuring(cond: (MethodInlineInfoIncomplete) ⇒ Boolean, msg: ⇒ Any): MethodInlineInfoIncomplete
    Implicit
      This member is added by an implicit conversion from MethodInlineInfoIncomplete to Ensuring[MethodInlineInfoIncomplete] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (MethodInlineInfoIncomplete) ⇒ Boolean): MethodInlineInfoIncomplete
    Implicit
      This member is added by an implicit conversion from MethodInlineInfoIncomplete to Ensuring[MethodInlineInfoIncomplete] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): MethodInlineInfoIncomplete
    Implicit
      This member is added by an implicit conversion from MethodInlineInfoIncomplete to Ensuring[MethodInlineInfoIncomplete] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): MethodInlineInfoIncomplete
    Implicit
      This member is added by an implicit conversion from MethodInlineInfoIncomplete to Ensuring[MethodInlineInfoIncomplete] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from MethodInlineInfoIncomplete to StringFormat[MethodInlineInfoIncomplete] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  val name: String
    Definition Classes
      MethodInlineInfoIncomplete → CalleeInfoWarning
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      CalleeInfoWarning → AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def warningMessageSignature: String
    Definition Classes
      CalleeInfoWarning
31.  def →[B](y: B): (MethodInlineInfoIncomplete, B)
    Implicit
      This member is added by an implicit conversion from MethodInlineInfoIncomplete to ArrowAssoc[MethodInlineInfoIncomplete] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CalleeInfoWarning

### Inherited from OptimizerWarning

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MethodInlineInfoIncomplete to any2stringadd[MethodInlineInfoIncomplete]

### Inherited by implicit conversion StringFormat from MethodInlineInfoIncomplete to StringFormat[MethodInlineInfoIncomplete]

### Inherited by implicit conversion Ensuring from MethodInlineInfoIncomplete to Ensuring[MethodInlineInfoIncomplete]

### Inherited by implicit conversion ArrowAssoc from MethodInlineInfoIncomplete to ArrowAssoc[MethodInlineInfoIncomplete]

### Ungrouped